[tool.poetry]
name = "event-service"
version = "0.2.42"
description = "Server Sent Events (SSE) and Notifications for Portal."
authors = ["Christoph Jansen <Christoph.Jansen@charite.de>"]

[tool.poetry.dependencies]
python = "^3.12"
fastapi = "^0.115.0"
uvicorn = "^0.34.0"
PyJWT = "^2.3.0"
cryptography = "^44.0.0"
requests = "^2.27.1"
aio-pika = "^9.0.0"
aiohttp = "^3.8.1"
sse-starlette = "^2.0.0"
pydantic = "^2.1.1"
pydantic-settings = "^2.0.2"
certifi = "^2025.0.0"

[tool.poetry.group.dev.dependencies]
pytest = "^8.0.0"
isort = "^6.0.0"
pylint = "^3.0.0"
pycodestyle = "^2.7.0"
pytest-cov = "^6.0.0"
black = "^25.0.0"
sseclient-py = "^1.7.2"
rsa = "^4.9"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
profile = "black"
line_length = 120
multi_line_output = 3
include_trailing_comma = true

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,E0213,W0703,W0511,W3101"
